Subject: [bug#59093] [PATCH] gnu: Add xnedit

From: Andy Tai <[email-masked]>
Date: Fri, 6 Jan 2023 23:14:28 -0800

Hi, I guess I will need to update the patch to fit the new style.

On Fri, Jan 6, 2023 at 4:15 PM zimoun <[email-masked]> wrote:

> Hi,
>
> On Sun, 06 Nov 2022 at 21:12, Andy Tai <[email-masked]> wrote:
>
> > +      (arguments
> > +       `(#:make-flags (list (string-append "PREFIX="
> > +                                         (assoc-ref %outputs "out"))
>                                                       --^
>                                                    this
>
> This pattern is now deprecated, if I understand correctly.
>
>     https://guix.gnu.org/en/blog/2021/the-big-change/
>
> Instead, something like,
>
>       (arguments
>        (list
>        #:make-flags #~(list (string-append "PREFIX=" #$output)
>                             (string-append "CC=" #$(cc-for-target)))
>          #:tests? #f                  ; no tests
>          #:phases #~(modify-phases %standard-phases
>                         (delete 'configure)
>                         (replace 'build
>                             (lambda* (#:key make-flags #:allow-other-keys)
>                                 (apply invoke "make" "linux"
> make-flags)))))))
>
> seems more compliant with the “new” style.
>
>
>
> > +      (inputs (list
> > +              motif
> > +              pcre))
>
> Incorrect indentation or just (inputs (list motif pcre))
>
>
> Cheers,
> simon
>

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat:
andytai1010
Year 2023 民國112年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能